std::tuple_element< __i, tuple< _Head, _Tail...> > Struct Template Reference
Utilities
Inheritance diagram for std::tuple_element< __i, tuple< _Head, _Tail...> >:
[legend]

## Detailed Description

### template<std::size_t __i, typename _Head, typename... _Tail>
struct std::tuple_element< __i, tuple< _Head, _Tail...> >

Recursive case for tuple_element: strip off the first element in the tuple and retrieve the (i-1)th element of the remaining tuple.

Definition at line 680 of file tuple.

The documentation for this struct was generated from the following file:

- tuple